| Home | Libraries | People | FAQ | More

##### value_at

###### Description

Returns the actual type at a given index from the Sequence.

###### Synopsis

    template<
        typename Seq,
        typename M>
    struct value_at
    {
        typedef unspecified type;
    };

Table 1.30. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | A model of Random Access Sequence | Argument sequence
`M` | An MPL Integral Constant | Index of element

###### Expression Semantics

    result_of::value_at<Seq, M>::type

Return type: Any type.

Semantics: Returns the actual type at the `M`th element of `Seq`.

###### Header

    #include <boost/fusion/sequence/intrinsic/value_at.hpp>
    #include <boost/fusion/include/value_at.hpp>

###### Example

    typedef vector<int,float,char> vec;
    BOOST_MPL_ASSERT((boost::is_same<result_of::value_at<vec, boost::mpl::int_<1> >::type, float>));